package migrations

import (
	"bytes"
	"compress/gzip"
	"fmt"
	"io"
	"strings"
)

func bindata_read(data []byte, name string) ([]byte, error) {
	gz, err := gzip.NewReader(bytes.NewBuffer(data))
	if err != nil {
		return nil, fmt.Errorf("Read %q: %v", name, err)
	}

	var buf bytes.Buffer
	_, err = io.Copy(&buf, gz)
	gz.Close()

	if err != nil {
		return nil, fmt.Errorf("Read %q: %v", name, err)
	}

	return buf.Bytes(), nil
}

var __1_create_stream_tables_down_sql = []byte("\x1f\x8b\x08\x00\x00\x00\x00\x00\x00\xff\x72\x09\xf2\x0f\x50\x08\x71\x74\xf2\x71\x55\x48\x2d\x4b\xcd\x2b\x29\xb6\xe6\x42\x12\x2a\x2e\x29\x4a\x4d\xcc\x2d\xb6\xe6\x02\x04\x00\x00\xff\xff\xc4\xa6\xb6\x55\x27\x00\x00\x00")

func _1_create_stream_tables_down_sql() ([]byte, error) {
	return bindata_read(
		__1_create_stream_tables_down_sql,
		"1_create_stream_tables.down.sql",
	)
}

var __1_create_stream_tables_up_sql = []byte("\x1f\x8b\x08\x00\x00\x00\x00\x00\x00\xff\x8c\x92\x31\x6f\xc2\x30\x14\x84\x77\xff\x8a\x13\x13\x91\x32\x74\xef\x64\xc2\x0b\x4a\xeb\x3a\x95\x63\xa4\x32\x45\xa6\x79\xaa\x22\x91\xd0\x26\x06\xa9\xff\xbe\x22\x94\x34\x25\xa5\xf0\x16\x2f\x9f\xcf\xf7\xee\x1c\x19\x92\x96\x60\xe5\x4c\x11\x5a\xdf\xb0\xab\x5a\x4c\x05\x00\x94\x05\xfa\xb1\xf4\x62\x0f\xa7\x4e\x2d\xf4\x52\xa9\xb0\x23\x8e\x7c\xee\x3f\xdf\xf9\x02\x31\xd9\x73\xd3\x96\xdb\x7a\x02\x20\xd1\x96\x16\x64\x7a\x02\x98\x53\x2c\x97\xca\xe2\x2e\x14\x1d\xfd\x6c\x92\x27\x69\x56\x78\xa4\x15\xa6\x03\xf1\x10\x65\x11\x88\xe0\x5e\x88\x5f\x76\x79\xcf\xb5\x3f\xb9\x7d\xdb\x6c\xd7\x6e\x93\xb7\xfc\xb1\xe3\xfa\x95\xf3\x7a\x57\xad\xb9\x41\x46\x26\x91\x7f\xd8\xc5\x8d\xbb\x0d\x43\xb8\x0c\x77\x4e\x46\xc2\x37\x64\x32\x98\xf3\x78\xbe\xe1\x4e\xfa\x0c\x05\x1e\xb2\x54\xcf\x46\xca\x15\x7b\x57\x38\xef\xae\xc2\x57\xd2\xee\x77\x0f\x7f\xcc\x06\xc7\x27\xe2\xd4\x50\xb2\xd0\xff\x5d\x0a\x60\x28\x26\x43\x3a\xa2\xec\xf4\xa5\x46\x6d\x22\xd5\x98\x93\x22\x4b\x88\x64\x16\xc9\x39\x1d\xfa\xfd\x0a\x00\x00\xff\xff\x44\xce\xe9\x01\x8e\x02\x00\x00")

func _1_create_stream_tables_up_sql() ([]byte, error) {
	return bindata_read(
		__1_create_stream_tables_up_sql,
		"1_create_stream_tables.up.sql",
	)
}

var __2_append_to_store_down_sql = []byte("\x1f\x8b\x08\x00\x00\x00\x00\x00\x00\xff\x72\x09\xf2\x0f\x50\x70\x0b\xf5\x73\x0e\xf1\xf4\xf7\x53\xf0\x74\x53\x70\x8d\xf0\x0c\x0e\x09\x56\x48\x2c\x28\x48\xcd\x4b\x89\x2f\xc9\x8f\x2f\x2e\xc9\x2f\x4a\xb5\xe6\x02\x04\x00\x00\xff\xff\x6d\xdf\x6a\xa8\x29\x00\x00\x00")

func _2_append_to_store_down_sql() ([]byte, error) {
	return bindata_read(
		__2_append_to_store_down_sql,
		"2_append_to_store.down.sql",
	)
}

var __2_append_to_store_up_sql = []byte("\x1f\x8b\x08\x00\x00\x00\x00\x00\x00\xff\xa4\x55\x5d\xaf\xda\x46\x14\x7c\xf7\xaf\x18\xa1\x1b\x01\x2a\xa0\xde\x57\x28\x95\x7c\x61\x21\x54\xc4\x10\xdb\x24\xe9\x93\xb5\xf1\x1e\xca\x36\xf8\x43\xbb\xcb\x4d\x69\xd3\xff\x5e\x79\x6d\x8c\x4d\x1d\xa9\x52\x79\xc2\xb3\xc7\x7b\x66\xce\xc7\x78\xe1\x33\x37\x64\xd8\xf9\xf0\xd9\x7e\xeb\x2e\x18\x56\x07\x6f\x11\x6e\x76\x1e\x78\x9e\x53\x2a\x22\x93\x45\xda\x64\x8a\x06\x0e\x00\x44\xda\x28\xe2\x49\x64\xae\x39\x01\x21\xfb\x14\x8e\x2c\x5e\xc1\x52\x14\x0f\x0d\xfc\x95\x94\x96\x59\x1a\xc5\x27\x8a\xbf\x60\xe3\x85\x6c\xcd\xfc\xf2\x88\x5e\x29\x35\x51\xca\x13\x6a\xbf\x52\xe2\x39\xbf\x9e\x33\x2e\xf0\x4b\xb0\xf3\x5e\xca\x83\x84\x0c\x17\xdc\x70\x9b\xa2\x3c\x70\x86\xf0\x59\x78\xf0\xbd\x00\xa1\xfb\xb2\x65\x28\x59\xf6\xaa\xb4\xbd\x5b\x46\x67\x08\x37\xc0\xd3\x93\xb3\x64\x8b\xad\xeb\x33\x1b\x75\xe6\xda\xdc\xf4\x54\x2f\xdc\xe2\x67\xce\x0b\x5b\x6f\x3c\xc7\xc6\x8d\xc7\xf0\xc9\x28\x49\xaf\x04\x73\x22\x9c\xb9\x21\x6d\x2a\xc9\x37\x85\x38\x66\xca\x9e\xea\x9c\x62\x79\x94\x24\xaa\x80\x89\xbd\x23\x60\x5b\xb6\x08\xa1\x27\x35\x35\x0b\x6f\xbc\x70\xd7\xc5\xc3\x1e\xae\xfc\xdd\xbb\xea\x12\x0d\x6d\xa1\x8f\x6f\x99\xcf\x20\x05\xe6\x8d\x8a\xbb\xde\x12\x7a\xd2\x6c\xcc\xbc\xd5\xa7\x59\x29\x63\xb3\x82\xb7\x0b\xb1\xda\x1d\xbc\x25\xc2\xb7\xcc\x73\x50\xfd\xc6\x63\x2c\x14\x71\x43\xe0\x48\xe9\x2b\x28\x35\xea\x5a\x0b\x12\xa4\xa5\x7a\x90\x53\x72\x0f\x98\x1f\x96\x12\x6e\x2c\x07\x52\x8c\xd0\x48\x3d\xac\xa3\x3f\xb8\xdb\x03\x0b\x30\xa8\x69\x8f\x5a\x1c\x87\x15\xc9\x8a\xce\x3b\xfe\x85\xa0\x2f\x8a\x60\x32\xc8\x54\x1a\xc9\xcf\xf2\xcf\xb2\xfc\x0f\x75\x97\x29\xcc\x49\x6a\xc4\x5c\xd3\x9d\x5c\x57\x6f\xe7\xf8\x71\x66\x03\x98\xb7\xc4\x66\x35\xab\xbb\xbb\x27\x75\xcc\x54\x82\x2c\x37\x32\x91\xda\xc8\x18\x71\x96\xc6\x17\xa5\x28\x8d\xaf\xb0\xb3\x3b\xb9\xd5\xb0\x3d\xd1\x3f\xfd\x8c\xf1\xb3\xed\xc0\xbf\xf0\x2e\x0a\xad\xb2\xfb\xee\x26\x60\x60\x9f\x16\x6c\x6f\x17\xae\xff\xa0\xac\xbc\xe9\xc8\xe5\x99\xc4\x08\xf4\x47\x4e\xb1\x21\x31\xc5\x9b\x11\x4a\x6e\x66\x8a\x37\xfd\x51\x3b\xf3\xa8\x2b\x6f\xb7\xec\x4d\x1a\x2b\x4a\x28\x35\x5d\x65\xcd\x95\x2c\xfa\x5f\x54\x5f\x93\x32\x32\xfd\xcd\x46\xd9\xf1\x28\x16\x74\xf2\xdd\x15\x9a\x77\xa2\x3f\xe0\xf9\x9e\xd9\x15\x02\x1c\x8a\xe2\x4c\x09\x12\x11\x37\x30\x32\x21\x6d\x78\x92\x97\xfd\xa4\x7a\xd9\x27\xed\xd5\x9f\xdf\xff\x7e\xfb\x86\x41\xff\xaf\x9e\x5f\xdd\x32\x76\x4d\x6f\x8a\x7e\x01\x9b\x2c\xfa\x5d\x67\xe9\xc0\xdb\x7d\x1c\x0c\x87\x05\xd2\xff\xbb\x3f\x9c\x4e\xad\x65\x34\xf5\x17\xca\x6c\x36\x2b\x09\x32\x35\xd9\xfd\x51\xc3\xf0\xcf\xe7\x6a\xa6\xc6\x63\x7c\xa8\x94\xa4\x97\xe4\x33\x29\x0d\x7d\xca\x2e\xe7\x62\x2d\xb8\x32\x38\xaa\x2c\xc1\x73\x35\x24\x8d\xc5\xa8\x6e\x1a\xd4\x4d\x6f\xcc\xfc\xe8\x11\x94\xe2\x0e\xd5\x3e\x71\x87\x4a\x63\x6c\xbf\xd9\xb3\x60\x23\xe8\x56\x1e\x0b\x0c\xeb\xb5\xab\xcf\xa3\xff\x4a\xa0\xa3\x89\x8f\x54\x0a\xef\x7e\xc4\x2a\xdf\xfe\x1e\xa1\x7b\xf5\x0f\xb9\x28\x1c\xa7\x31\x7a\x5f\xa5\x39\x35\x0d\xb6\xde\x83\x2c\xc9\x2f\x86\x44\x59\xdd\xc3\x7e\x59\x7c\xb1\xda\xbe\x18\xb0\xb0\x61\xfa\x9d\x13\xf8\xbf\xfd\xb3\xfc\xd0\xe0\xfd\x81\xf9\xbf\xd6\xea\x2a\x5f\xef\xdc\x39\x87\x79\xcb\x99\xf3\xf4\x84\xad\xeb\xad\x0f\xee\x9a\x61\xbf\xdd\xaf\x83\xf7\xdb\x99\xf3\x4f\x00\x00\x00\xff\xff\x9a\x3b\x4a\xac\x77\x07\x00\x00")

func _2_append_to_store_up_sql() ([]byte, error) {
	return bindata_read(
		__2_append_to_store_up_sql,
		"2_append_to_store.up.sql",
	)
}

var __3_notification_triggers_down_sql = []byte("\x1f\x8b\x08\x00\x00\x00\x00\x00\x00\xff\x72\x09\xf2\x0f\x50\x08\x09\xf2\x74\x77\x77\x0d\x52\xf0\x74\x53\x70\x8d\xf0\x0c\x0e\x09\x56\xc8\xcb\x2f\xc9\x4c\xab\x8c\x2f\x2e\x29\x4a\x4d\xcc\x8d\x2f\xa9\x2c\x48\x8d\xcf\xcf\x8b\x4f\x2c\x28\x48\xcd\x4b\x51\xf0\xf7\x53\x48\x2d\x4b\xcd\x2b\x29\xb6\xe6\xc2\xaf\x3d\x31\x27\x07\xbb\x36\x88\x3e\xb7\x50\x3f\xe7\x10\x4f\x7f\x3f\xbc\xf6\x5a\x13\x52\x9b\x98\x93\x63\xcd\x05\x08\x00\x00\xff\xff\xd0\xee\xfa\x52\xc7\x00\x00\x00")

func _3_notification_triggers_down_sql() ([]byte, error) {
	return bindata_read(
		__3_notification_triggers_down_sql,
		"3_notification_triggers.down.sql",
	)
}

var __3_notification_triggers_up_sql = []byte("\x1f\x8b\x08\x00\x00\x00\x00\x00\x00\xff\xec\x94\xd1\x8e\xa2\x30\x14\x86\xef\xfb\x14\x27\x84\xa4\x9a\x98\x7d\x00\xb9\x62\xf1\xc0\x92\xb0\x85\x2d\x25\x7a\x47\xea\xda\x35\x26\x08\xac\xa2\x89\x59\xf7\xdd\x37\x54\x45\xea\x3a\xe3\xcc\x24\x73\x67\xef\x7a\xfe\xf3\x7f\xb4\xf0\x73\x3c\x8e\xae\x40\x88\x39\x70\x4c\x22\xd7\x43\xf0\x33\xe6\x89\x30\x66\x50\x56\xcd\xea\xd7\x21\x97\x45\x31\x18\x12\x8e\x22\xe3\x2c\x05\xc1\xc3\x20\x40\x4e\xdc\x14\x6c\x9b\x7c\xc5\x20\x64\x04\x00\x20\x41\xee\xc7\xfc\x3b\xd4\xcb\xfc\xe4\x1b\x50\x5b\x16\x05\x1d\x01\xa5\xba\xa1\x5d\xc7\x23\xd0\x3f\xe6\xd6\xda\x36\x1b\x25\xd7\xf9\x6a\x61\x8d\xc1\xa2\x9d\xc0\x70\xfa\xa5\x93\xc0\x58\xda\x36\xba\x8f\x69\x0e\xb5\xea\x40\x26\xa6\x95\x1e\x62\xd4\x5e\x95\x8d\x49\xb9\x60\xae\xd2\x1b\x4e\xa3\x7e\xef\x54\xf9\x53\xe5\xe5\x6e\x3d\x57\x1b\x6b\x0c\xf4\x82\x59\x16\xd5\x5c\x16\xf9\x4d\x87\xb6\xdd\x52\xf6\x6a\xb3\x5d\x55\xa5\x76\xf7\x84\x96\xd2\x69\xff\xbf\x9a\xbb\x57\x32\x18\x57\xca\x59\x1b\x0b\x9c\x89\xd7\x29\x6b\xd5\xc8\x85\x6c\x64\x1f\x74\xa6\x5c\x24\xc3\xf0\x97\x0e\x1d\xa2\x2b\xa7\xe4\xb4\x9d\x0e\x41\x36\x71\x88\x6d\x43\xe4\xb2\x20\x73\x03\x84\x24\x4a\x82\xf4\x47\xe4\x10\xf2\x38\x88\xbd\xef\xf8\xa1\x40\xde\x64\xe1\x99\xcc\x67\x32\xdf\x93\xcc\x73\xd0\x7a\x63\x31\xaf\xca\x5c\xd6\xb5\x2a\x17\x1a\xe7\xfa\x02\x39\x84\x2c\x45\x2e\x74\x21\x66\xa0\xaf\xb1\xd5\x3b\x3f\xe6\x80\xae\xf7\x0d\x78\x3c\xd5\x05\x9c\xa1\x97\x09\x84\x84\xc7\x1e\x4e\x32\x8e\xc6\xc4\x7d\xf1\xc1\xbd\xd0\x7c\xd6\x01\x8c\x3f\xcd\x21\xff\x02\x00\x00\xff\xff\x3a\x7f\xd7\xa5\x24\x06\x00\x00")

func _3_notification_triggers_up_sql() ([]byte, error) {
	return bindata_read(
		__3_notification_triggers_up_sql,
		"3_notification_triggers.up.sql",
	)
}

var __4_subscriptions_checkpoint_down_sql = []byte("\x1f\x8b\x08\x00\x00\x00\x00\x00\x00\xff\x72\x09\xf2\x0f\x50\x70\x0b\xf5\x73\x0e\xf1\xf4\xf7\x53\x48\x4f\x2d\x89\xcf\x2f\x8a\x4f\x2e\x4a\x4d\x2c\x49\x8d\x2f\x2e\x4d\x2a\x4e\x2e\xca\x2c\x28\xc9\xcc\xcf\x8b\x4f\xce\x48\x4d\xce\x2e\xc8\xcf\xcc\x2b\xb1\xe6\x02\x6b\x0a\x71\x74\xf2\x71\x55\x40\x56\x53\x8c\xa4\xa8\xd8\x9a\x0b\x10\x00\x00\xff\xff\xe0\x60\xe0\xac\x5b\x00\x00\x00")

func _4_subscriptions_checkpoint_down_sql() ([]byte, error) {
	return bindata_read(
		__4_subscriptions_checkpoint_down_sql,
		"4_subscriptions_checkpoint.down.sql",
	)
}

var __4_subscriptions_checkpoint_up_sql = []byte("\x1f\x8b\x08\x00\x00\x00\x00\x00\x00\xff\x84\x91\xcf\x6e\xe3\x20\x10\x87\xef\x3c\xc5\x1c\x7c\x88\xa5\x4d\xb4\xf7\x68\x0f\xac\x3d\xb1\xac\x65\xc1\xc5\x50\x25\x27\x94\x38\x24\xb5\xda\x98\x14\x63\xf5\xf5\x2b\x93\xa8\x55\xdc\x7f\x73\xe1\xf0\x9b\x61\x3e\x3e\x32\x89\x54\x21\x28\xfa\x97\x21\xf4\xc3\xae\x6f\x7c\x7b\x0e\xad\xeb\x7a\xd3\x3c\xd8\xe6\xf1\xec\xda\x2e\xf4\x30\x23\x00\x70\x93\x9b\x76\x0f\xb1\x14\xae\xd5\x78\x56\xb2\xfc\x4f\xe5\x06\xfe\xe1\xe6\x57\xec\x7e\xda\xf6\xc1\xf4\xf6\x79\xb0\x5d\x63\x4d\x37\x9c\x76\xd6\x43\xc9\x15\x16\x28\x81\x0b\x05\x5c\x33\x16\xaf\xc8\x71\x45\x35\x53\xf0\x9b\xa4\x4b\x42\xae\x48\x42\x82\xc4\x8a\xd1\x0c\x61\xa5\x79\xa6\x4a\xc1\xe1\x68\x83\x71\xde\x34\xde\x6e\x83\x35\x37\x38\xef\xb4\x17\x56\xf3\x01\x76\x04\x25\x29\x91\xa8\xb4\xe4\xf5\xf5\xc9\xb3\x1f\x51\x49\x0a\xb4\x86\x24\x21\xb1\xb3\xe4\x35\x4a\x35\x66\xe2\x3b\x5d\x93\xe5\x69\x9c\xbd\xa7\x4c\x63\x0d\xb3\x29\xda\x25\x1d\x6b\x3e\x87\xca\xfa\x83\xf3\x27\x18\xce\xfb\x6d\xb0\x10\x1c\x1c\x9c\x6f\x2c\x78\xf7\x02\xde\x86\xc1\x77\x6d\x77\x5c\xbc\x4d\x08\x0e\x99\xe0\x2b\x56\x66\xea\x8b\xad\x51\xb0\x00\x5d\xe5\xa3\xd5\x1a\xd5\xf4\x1b\xff\xe0\x3a\x63\x3a\xc7\x7c\x31\x09\xe2\xf8\x45\x57\xc9\x8b\x4f\x25\x2d\x09\x49\x12\x60\x94\x17\x9a\x16\x08\xf5\x1d\x5b\x92\xd7\x00\x00\x00\xff\xff\xd4\xd0\xd6\x3a\x53\x02\x00\x00")

func _4_subscriptions_checkpoint_up_sql() ([]byte, error) {
	return bindata_read(
		__4_subscriptions_checkpoint_up_sql,
		"4_subscriptions_checkpoint.up.sql",
	)
}

var __5_correlated_events_down_sql = []byte("\x1f\x8b\x08\x00\x00\x00\x00\x00\x00\xff\x72\x09\xf2\x0f\x50\x08\x09\xf2\x74\x77\x77\x0d\x52\x40\x00\x4f\x37\x05\xd7\x08\xcf\xe0\x90\x60\x85\x82\xa2\xfc\xac\xd4\xe4\x92\xf8\xe4\xfc\xa2\xa2\xd4\x9c\xc4\x92\xd4\x94\xf8\xd4\xb2\xd4\xbc\x92\xf8\xfc\xbc\xf8\xc4\x82\x82\xd4\xbc\x14\x05\x7f\x3f\x05\xb0\x50\xb1\x35\x17\xd8\x38\xb7\x50\x3f\xe7\x10\x4f\x7f\x3f\x52\x8c\x83\x6a\xf5\x75\x0c\x71\x0d\xf2\x74\xf4\xf1\x8c\x72\x75\x51\x08\xf3\x74\x0d\x47\xd2\x8a\xae\xa5\x38\xbe\x2c\x33\xb5\x1c\xaa\x31\xc4\xd1\xc9\xc7\x55\x41\x01\xab\x17\x30\x34\x5a\x73\x01\x02\x00\x00\xff\xff\x59\xc9\xda\x7a\xf7\x00\x00\x00")

func _5_correlated_events_down_sql() ([]byte, error) {
	return bindata_read(
		__5_correlated_events_down_sql,
		"5_correlated_events.down.sql",
	)
}

var __5_correlated_events_up_sql = []byte("\x1f\x8b\x08\x00\x00\x00\x00\x00\x00\xff\x8c\x53\xcb\x6e\xdb\x30\x10\xbc\xf3\x2b\xf6\x60\x20\x76\xe1\xf8\x07\x84\x04\x60\xa8\x91\xc2\x96\x21\x5d\x8a\x8a\xd3\x5e\x04\xc1\xe2\x41\x45\x63\x1b\xb6\xe0\xa2\x7f\x5f\xe8\x65\xcb\xb6\x52\x84\x17\x01\xe4\xcc\xee\xec\xce\x48\x58\x70\x07\x72\xfc\x49\x81\xd6\xdb\xfd\xde\xff\xce\x2b\x5f\x64\xfe\xe8\x37\xd5\x81\xa6\x8c\x88\x4e\xf7\xe5\x76\x93\x95\x05\x75\xc7\xe1\xcd\xd5\x5f\x6d\x1c\xe9\x54\xa9\x79\x83\x6d\x88\xd9\xa1\xda\xfb\xfc\x3d\xab\xfe\xee\xfc\x67\xb1\xa7\xc2\x9f\xc0\x1e\xfd\xfe\x50\x6e\x37\x44\x52\x3b\xc4\xb0\x03\x2c\x6b\xd0\x91\xb1\x90\xb1\xa6\x6f\xf8\x41\xd3\x1b\x49\xf3\xeb\xce\xf3\xd1\xf2\x33\xd6\x8f\x6a\x11\xc1\x42\x0b\x24\x2d\xf0\x30\xbd\xa8\x36\xa8\xd3\x53\x89\x8c\xa6\x10\x0a\x0e\x24\x78\x22\x78\x08\x36\x0b\x18\xeb\xf6\xfd\xc2\x1d\xac\xe4\x4a\xfe\x44\x48\xaf\x12\xab\xdb\xdd\x67\xc7\xd2\xff\x21\x9e\x34\x22\x12\x28\x08\x47\x6b\xbf\xb8\xf4\x62\x4e\x7e\xf1\xa5\x9d\xd8\x9a\x97\x11\x03\xd7\xfe\x34\x84\xd4\x1a\x96\xbe\x1a\xa9\xbb\x21\xc8\xd7\x22\xfd\x62\x68\xd6\x43\xdd\xe3\x66\x61\xa7\x1a\xf5\xe1\x3a\x3c\x93\xca\x62\x84\x52\x16\x23\x84\xde\xb3\x5b\x78\xf7\x72\xde\x8e\xb1\x64\xb1\x54\x5c\x80\xa2\x54\x0b\x27\x8d\xa6\xdd\x7e\xfb\xcb\xaf\xab\xec\x7a\xc4\xe9\x8c\x59\xb8\xd4\xea\x84\x9c\x95\x71\x0c\xcb\x78\x42\x93\x09\x0b\x21\x14\xb7\x18\x84\xe7\x2a\xc6\x75\xce\x02\xf6\x84\x58\x6a\xf6\x31\xea\x81\x34\x56\x8b\x77\x5f\xe5\x45\x5e\xe5\xf7\x8f\x8f\x77\xe2\x0c\xb8\x97\xc5\x5d\xd0\x70\x65\x34\x4e\x97\x49\x93\x4b\x72\xcf\xd0\x83\x38\xd5\x82\xeb\xc2\x2d\x19\x3a\x24\x19\x05\xad\x0a\xa9\x13\x58\x57\x27\xdb\xdc\xfa\xd9\x20\x5e\xb9\x4a\x91\xf4\xb9\xbe\x0e\x44\x2d\xf7\x22\x9d\x83\x8b\xfe\xbd\x4f\x69\xd7\x72\xa8\x87\x41\x87\x01\x9b\x4c\x48\x71\x1d\xa7\x3c\x06\x2d\xd5\x32\x4e\xbe\xab\xb3\x3d\xdd\x9e\x3f\xb4\x24\xdb\x6e\xb2\x7c\xb7\xf3\x9b\x36\x06\x3c\x72\xb0\xdd\x58\xcd\x85\xe9\x03\xd8\xff\xaa\x04\x2e\x9e\xc9\x9a\x55\xbb\x8d\x37\x88\xd4\x81\x96\xd6\x08\x84\xa9\xc5\x7f\xbc\x0f\xd8\xbf\x00\x00\x00\xff\xff\xed\xee\x53\x34\xc1\x04\x00\x00")

func _5_correlated_events_up_sql() ([]byte, error) {
	return bindata_read(
		__5_correlated_events_up_sql,
		"5_correlated_events.up.sql",
	)
}

var __6_optimize_indexes_events_table_down_sql = []byte("\x1f\x8b\x08\x00\x00\x00\x00\x00\x00\xff\x72\x09\xf2\x0f\x50\xf0\xf4\x73\x71\x8d\x50\xf0\x74\x53\x70\x8d\xf0\x0c\x0e\x09\x56\x48\x2d\x4b\xcd\x2b\x29\x8e\x2f\xcd\xcb\x2c\x2c\x4d\x8d\x2f\x4e\x2d\x2c\x4d\xcd\x4b\x4e\x8d\xcf\x2b\xcd\x4d\x4a\x2d\xb2\xe6\xc2\xa7\x27\xa9\x32\xbe\xb8\xa4\x28\x35\x31\x37\xbe\xa4\xb2\x00\x8b\x5e\x40\x00\x00\x00\xff\xff\x4b\x3c\x86\x89\x70\x00\x00\x00")

func _6_optimize_indexes_events_table_down_sql() ([]byte, error) {
	return bindata_read(
		__6_optimize_indexes_events_table_down_sql,
		"6_optimize_indexes_events_table.down.sql",
	)
}

var __6_optimize_indexes_events_table_up_sql = []byte("\x1f\x8b\x08\x00\x00\x00\x00\x00\x00\xff\x84\x91\xc1\x4e\xc3\x30\x10\x44\xef\xf9\x8a\x39\x52\xa9\xe1\x07\x7a\x42\x25\x48\xb9\xa4\x82\xa6\x52\x6f\x91\xd3\x0c\xb5\x85\x63\xbb\xb1\xdd\x90\xbf\x47\x21\x09\x42\x08\xe8\x79\x77\xde\xbe\xd1\xa6\x29\xb6\x1d\x45\x20\x04\xa2\x51\x97\x48\x28\xd3\xf0\x1d\xaf\xb6\x43\x90\xc4\x59\xdb\x5a\xe8\xca\xf3\x12\x69\x4e\xac\x4c\x6c\x6b\x76\x6b\x78\x65\x4e\x84\x0a\x50\x1e\xc6\x06\x08\xad\x6d\xcf\x26\x49\x53\x04\x0b\x29\xae\x44\x1b\x75\x50\x4e\x13\xbc\xd2\x04\x8f\x5e\x05\xf9\xc9\xf4\xa2\x25\x16\x22\x26\xe2\x7d\xb2\x7d\xc9\x1e\xca\x0c\x87\x22\x7f\x3e\x64\xc8\x8b\xc7\xec\x88\xfc\x09\xc5\xae\x44\x76\xcc\xf7\xe5\x7e\xe6\x54\x93\xe7\x4f\xa5\x04\x00\x76\xc5\x72\xec\xee\x77\xf1\xd5\x26\x19\x15\x4b\xa9\xfc\x5c\xd4\x4b\x1b\x75\x03\x49\xed\xe0\x1d\xd9\x20\x3a\x68\x6b\xdf\xa2\xf3\xe8\x25\x0d\x7c\xe8\x28\x5a\x65\xce\x0b\xbb\x1e\xc6\x1a\xaa\x9b\x27\x08\x83\xe3\x97\xff\x3f\xe2\xf5\x50\x4d\x89\x6a\x4c\xdc\x2a\xf0\x6d\x75\xfd\xc7\x1b\x56\x9b\xe4\x23\x00\x00\xff\xff\xaf\x2d\xd3\x27\xc1\x01\x00\x00")

func _6_optimize_indexes_events_table_up_sql() ([]byte, error) {
	return bindata_read(
		__6_optimize_indexes_events_table_up_sql,
		"6_optimize_indexes_events_table.up.sql",
	)
}

var _bindata_go = []byte("\x1f\x8b\x08\x00\x00\x00\x00\x00\x00\xff\xc4\x9a\x49\x6f\x24\x49\x72\x85\xcf\xcc\x5f\x91\x22\x30\x02\x09\x14\x4a\xb1\x2f\x03\xf4\x65\x06\xba\xea\xa0\xab\x5c\x48\x78\x78\x78\x94\x88\xa9\x22\xd9\xc9\xac\x1e\x9f\x16\xe6\xbf\x0b\x9f\xd9\x0b\x91\x9a\x26\xab\xaa\x17\xa1\x0f\x49\xe6\x12\xe1\x8b\x2d\xef\x3d\x33\x8f\xc7\x98\xfe\x12\x3f\xe4\xe3\xa7\x78\x77\x7f\x38\xdc\x7d\x7a\x7c\x38\x5f\x8e\x37\x87\xab\xeb\xe5\x6f\x97\xfc\x74\x7d\xb8\xba\x4e\x0f\x9f\x1e\xcf\xf9\xe9\xe9\x5f\x3e\xfc\x78\xf7\xc8\x17\xdb\xa7\x0b\xff\xee\x1e\xf8\xfb\x74\x39\xdf\xdd\x7f\x78\xba\x3e\xdc\x1e\x0e\xdb\xe7\xfb\x74\x5c\xee\xee\xd7\x78\x89\xa7\x73\x8e\xeb\x0d\xef\x8e\xff\xf1\x9f\x8c\xf5\xee\x78\x1f\x3f\xe5\xa3\x5f\x7f\x7b\xbc\xd9\xbf\xcd\xe7\xf3\xc3\xf9\xf6\xf8\xdf\x87\xab\x0f\x3f\xda\xa7\xe3\x1f\xbf\x3b\x32\xd5\xfb\x7f\xcb\x7f\xfd\xf7\x1c\xd7\x7c\xbe\xb1\xb5\xf0\xf9\x4f\x9f\xb7\x2d\x9f\x6d\xd8\xdb\xdb\xc3\xd5\xdd\x66\x37\xfc\xd3\x77\xc7\xfb\xbb\x8f\x0c\x71\x75\xce\x97\xcf\xe7\x7b\x3e\xbe\x3b\x6e\x9f\x2e\xef\xff\x95\xd1\xb7\x9b\x6b\x06\x3a\xfe\xe1\xfb\x3f\x1e\xff\xf0\xc3\xb5\xaf\xc4\xe6\xba\x3d\x5c\xfd\xfd\x70\xb8\xfa\x21\x9e\x8f\xcb\xe7\xed\xe8\xf3\xf8\x24\x87\xab\x93\x2f\xe7\xbb\xe3\xdd\xc3\xfb\x3f\x3f\x3c\xfe\xed\xe6\x9f\x97\xcf\xdb\xbb\xe3\x87\x1f\x6f\x59\xeb\xfb\x3f\x7f\x7c\x78\xca\x37\xb7\x87\xdf\x6e\x19\xba\x6b\xf9\xbc\xbd\xff\x13\x2b\xb9\xb9\x7d\xc7\x10\x87\xbf\x1f\x0e\xac\xf0\x74\xaa\x4f\xe9\x9c\xe3\x25\x9f\x9e\x2e\xe7\x1c\x3f\x9d\x2e\x71\xf9\x98\x9f\x4e\xeb\xc3\x5f\xef\x4f\x4f\xdf\x7f\x3c\x7e\x27\x5b\xdf\x5c\x87\x52\x6f\xa1\x4c\x4b\x28\xd5\x14\x4a\x55\xbd\xfe\xda\xb6\x50\xc6\x26\x94\x6a\x0e\x65\xe3\xff\x16\x4a\x5f\xf9\x3d\x63\x1d\xca\xd8\xf9\xf7\xbc\xef\xfb\x50\xba\x29\x94\x66\x0d\xa5\x5b\x42\x49\x6b\x28\xcd\x12\x4a\x33\x87\xb2\x0c\xa1\xe4\x21\x94\xae\x09\xa5\x6e\x42\x69\x62\x28\x4d\xf6\xdf\xba\x18\x4a\xb7\x86\x92\x92\xdf\xbb\x5f\x5b\x31\x5f\xf7\x7f\xd7\xc2\x2b\x75\xa1\xc4\xc1\xaf\x63\xce\x66\x7c\xb9\xe6\xeb\x3d\xcc\xbe\x66\x8b\x9b\x57\x43\x6c\xb7\xf0\xcb\x18\x3d\x5c\x5d\x7d\xd5\xb2\xef\x0e\x57\x57\xd7\xaf\x5f\xf3\x9e\x6b\xde\x3f\x7d\xff\xf1\xfa\xdd\xe1\xea\xf6\xab\xbe\xfa\xfc\xf8\x8b\x3d\x35\xa5\x50\xe6\x26\x94\xb6\x0e\x65\xc0\x52\xbc\xaf\x42\xa9\xbb\x50\xa6\x2e\x94\x71\xd4\x75\x31\x94\xba\xf5\xd7\x5c\x87\xd2\x36\xee\xc9\xbc\x85\x32\x74\x7e\x5f\xb5\xb8\x67\xf2\x12\x4a\x1b\x43\x99\xfb\x50\x86\x36\x94\xd8\xf9\xf5\x5d\xef\x5e\x18\xe7\x50\x22\xde\x6c\x7c\xac\xb5\x0a\xa5\xc1\x7b\x43\x28\x71\xf6\xf9\x96\xac\xdf\xb9\xb7\x0b\xa5\xe1\xde\x3e\x94\x8d\xb5\x0d\xa1\x34\x5b\x28\x33\xeb\xc5\xc3\x63\x28\x39\x87\x52\xa7\x50\xea\xd9\xf7\x33\x0f\xa1\x0c\x55\x28\x99\x08\xe3\x7b\xa2\x2d\x86\xb2\x32\x76\x15\x4a\x5c\xfc\x33\xbf\x55\xbd\xdb\x83\xb9\x78\xbf\xc5\x50\x96\x3a\x94\xad\x0b\x65\x50\x04\xc7\x31\x94\x2e\x7b\xb4\xf1\x7d\xdf\xf8\x5a\x19\xab\x69\x43\x99\x72\x28\x63\xf2\x75\xb4\x9b\xcf\xb3\xcd\x1e\x91\xd8\x76\x9d\x43\x19\xdb\x50\xd6\xd6\xd7\xb6\x2e\xa1\x8c\xd1\x7f\x6f\xaa\x50\xd6\xda\xbf\x67\x6f\xd8\x73\xff\x6d\x9e\x42\xe9\xdb\x50\x1a\xfc\x34\x86\x92\xb0\x6f\xe3\x99\x80\x8f\x6a\xd6\xb3\x86\x32\xc8\x8f\x44\xf6\x30\x87\xd2\x63\xe7\xc9\x6d\x5f\xcb\xee\x55\x1b\xca\x56\x87\x52\x57\xa1\x0c\xbd\xdb\x64\x9a\x42\xc9\x55\x28\x7d\xf6\xf7\x3d\xd9\x2b\x1f\x61\xdb\xa5\xf7\xfd\x2c\xac\x7f\xf5\x75\x33\xd7\xca\x3c\x39\x94\xb9\x0d\x65\x21\x46\x92\xdb\x2c\xb7\x6e\x3f\x7c\xbf\xb5\xbe\x8f\x7e\x0c\x25\xae\x3e\x46\x57\x87\xd2\x0d\xee\x6f\x7c\x3f\x62\xab\x29\x94\xd4\x87\x32\x71\x0d\x31\x0b\x1a\x30\x2e\xb1\x9b\x3c\x06\xb1\x3d\xf7\x59\x7c\x8e\x6e\xa3\x56\xf6\xb1\x79\x26\x8f\x99\x5c\xfb\xb5\xac\xa1\x92\x6f\xeb\x1c\xca\xd2\x84\xd2\x77\xbe\x27\x1b\x27\xba\x5d\xc6\xc5\xd7\xd7\x4e\x1e\xcb\x31\xfb\x1c\x7c\xb7\x36\xee\x4f\xe6\x27\x06\x58\x2b\x88\x43\x9c\xa6\xd1\x6d\x8d\x2f\xd6\xce\x11\x8e\x39\x56\xe5\x55\xbf\x86\x52\x45\x8f\xc1\x66\xf2\xfd\xb2\x27\xf2\x22\x32\x6e\xf2\x38\x22\xa6\x59\xcf\xb0\x7a\xbc\xaf\xbd\xef\x09\xbb\xf2\x19\x54\xc4\x2f\xec\x97\xd8\x48\x73\x28\xed\x2c\xbf\x47\xf7\x3d\xf3\xfc\x23\xe2\x75\xec\x15\x7b\x10\x83\xb5\xc7\xa7\xa1\xe3\xb7\x21\x9e\x23\xca\x6f\x83\x77\x3e\xd6\x97\xd0\xee\xf3\xe3\x2b\x58\xd7\x9c\xe2\xe3\x63\xbe\x5f\x4f\x97\x87\xd3\xd3\xe5\xe1\x9c\x7f\x7b\x4a\x1a\x2b\x07\xad\xad\xf7\xe4\xac\xb2\x27\x08\x8e\x01\x54\x48\x3c\x00\x07\xa0\xe3\x3d\xd7\x13\xa4\x7c\x67\xc1\x95\x7d\x4c\x92\xcd\x68\x2c\xb9\xb3\x79\x9f\x44\x69\xd3\xec\x60\x85\xe3\xa6\xcd\xdf\x93\xbc\x49\xdf\x03\x98\x24\xd9\x97\xe8\x8b\xe0\x00\x50\x06\x82\x67\x72\x0a\x7c\x8d\xbe\xde\x36\xd9\xcf\xf4\xe4\xdb\x03\x99\x1b\x7f\xf2\xf3\x5b\x7c\xf5\xd3\x71\x7e\x05\x55\x01\x65\x90\x37\xa9\x15\x81\x8d\xe8\xa9\x03\x0c\x02\xbd\x78\x8c\xef\x6b\x60\x0f\x98\x5b\x3c\xf4\x11\x0e\x11\x88\xcd\x9e\xd6\x78\x08\x78\xe2\x9e\x81\xdf\x6b\x41\x43\xe7\xd0\x08\xc4\x35\x9d\xa7\x8e\xc1\x5b\x2f\xd8\xcc\x0e\x1b\xed\x10\xca\x36\x09\xa2\x10\x2d\x8b\x8b\x11\x60\x17\x78\xb7\xf4\xcf\x0e\xa1\x78\x0e\x8a\xe5\x77\x52\x16\xca\x80\x3a\x0c\x5e\x9b\x50\x96\xd6\xa1\x04\x18\x1a\x06\x4f\x59\xfb\x3c\x39\x94\xb5\xed\x33\xdc\x01\x93\x50\x0a\xd1\x67\x74\x92\x9d\x6a\x8d\x0a\x26\x8f\xc2\x6a\x74\x1a\x07\xda\x81\x67\xa0\x9c\x75\x33\xde\x9c\x45\x25\x3b\xf5\xb6\x4e\xc9\xd8\x91\xf1\xa1\x78\xa0\xcd\xa2\xba\x72\x08\xe1\x37\xec\x05\xcc\x75\xb3\x5f\x07\x44\xb6\x82\x15\x6c\xb7\x2d\x92\x0b\xd9\x33\x80\xbd\xa7\xda\xf7\xc9\xf7\x64\x1b\x90\x0e\x45\x60\x77\x68\x16\xaa\xeb\x81\xb1\xe8\xd0\x0f\x94\x32\xff\xb2\x89\xb6\xa1\xd4\xde\xa9\x26\xe9\x5e\x32\xd7\x28\x4a\x22\xb0\x25\x16\x6a\x41\x79\xeb\xd9\xc1\xfd\xcc\xcb\x7a\x59\x23\x9f\xd9\x37\x76\xc4\x4e\xd8\x8e\xac\x84\xb6\xa1\x8d\x5e\x3e\x9d\x5a\x97\x3b\x64\x75\x0d\xf4\x27\xcf\xf6\x79\x71\xb8\x6e\xf5\x79\x1a\x7c\x0c\xd6\x8e\x4d\x79\xbf\xac\x6e\xaf\x28\x5b\x40\x03\xd0\x2b\x76\xe3\xba\x6d\x70\xb9\xb3\x74\x7e\x6d\xbf\x08\xf2\x47\x8f\x79\xfc\x9b\x2a\x49\x83\xd6\x63\xc2\xfc\xb1\x38\x6d\x9a\x9c\x6a\x3d\x9e\x47\x21\x05\x7e\x59\x45\x21\xc4\x2e\x48\xc2\x67\xf6\xcd\xb8\xc4\x11\xc8\xc6\x5c\xc4\x03\xeb\x27\xae\xd2\xe0\x08\xc6\x7b\xd6\x6e\x28\x34\xb9\x6f\xc9\x1d\xd0\x67\x14\xf5\xcc\xc9\x29\x1b\x1f\x1b\x3d\x45\xd1\xcf\xe8\xbe\x81\x32\x07\x51\x29\x36\xce\xd1\xef\x19\x14\xdf\xf8\x99\x3c\x62\xef\x53\xe5\x48\xc8\xfe\x91\x4b\xf8\x98\xb5\x21\xc8\x2b\xe5\x2b\x31\x80\x4f\x79\x55\x5a\xf7\x22\xbb\x23\x37\x88\x93\xd4\x7a\x3c\x13\x83\xc4\xc4\x2a\xc9\xc0\xdc\x14\x09\xc4\x19\x6b\x65\x3c\xd0\x96\x31\x66\x49\x19\x64\x56\x25\xfb\x61\x03\x8b\xb7\xc5\x71\x81\x7b\x91\x2a\x50\xbe\xc5\x5c\xf2\xb9\xa1\x63\xa4\x1f\x7e\x24\xe6\x06\xf9\x67\x6a\x5c\xf6\xb0\x4e\x64\x0f\xfe\x20\xbf\xb9\x07\xa9\x9a\xf4\x3b\xe3\x60\x4f\xd8\x06\xaa\xc6\xfe\x83\xe4\x9c\xe1\x56\xed\x38\x82\x04\x83\x35\xc0\x1c\x2b\x80\x26\xb7\x03\xfb\x42\xa6\x32\x0f\x6b\x8c\x92\x0c\xac\x75\xae\xc4\x4a\x62\x34\x64\x03\x58\x6a\x32\xb2\xf1\xfc\x67\x1e\x30\x81\x9c\x00\x87\x56\xcd\xd3\x62\xa3\x14\x4a\x6c\x25\xef\x26\xc7\x3d\x24\x22\x73\x51\x02\xc0\x34\x83\x58\x8b\x35\x20\xaf\xa7\xd1\x65\x93\xb1\x59\xf4\x38\x6b\x61\xd0\xec\x31\x01\xce\x36\x2a\x17\xf0\x31\x12\x2d\x4d\x1e\xa3\xb5\xe2\xc7\x24\x7b\x23\x79\xd9\xb8\x1f\x4d\x5e\xf5\x2e\x71\xb1\x33\x76\x33\xbc\x89\x8e\xcb\x7d\x52\x7e\xac\xfe\xbe\x17\xce\xe5\xd1\xb1\x18\x3b\x0e\x92\xb8\xd8\xc1\x6c\xdf\xf9\x77\xd8\x11\xb9\xbf\xe8\x45\x9c\x31\x17\x73\xb0\x2e\x7c\x89\x9d\x88\xeb\x76\x2f\x49\xa2\xaf\xbb\xd6\xd8\xd8\x14\xdf\x81\x0d\x51\xb9\x3d\x89\x87\xc0\x12\x62\x02\x3b\x90\x2f\xc4\x0c\xdf\x61\x63\x64\x3d\xf6\xdd\xc4\x03\xf0\x08\xd7\xe6\xd5\x73\x1e\x7c\x22\x0f\xc1\x26\x64\x9c\xc9\xe4\xc6\x71\x04\xe9\xd9\xa8\x8c\xe1\x45\xb9\x63\xe5\x41\x12\xc6\x8f\xca\x83\xcd\xed\x1e\x15\xb3\xc4\x10\x6b\xa7\xf4\xb1\xd8\xef\x3c\xc7\xc0\x8a\x4e\x52\x7a\x11\x76\x53\x9a\x90\x57\xe0\x1c\x9c\x81\x1a\x21\x6e\xb0\x1b\x3e\xc4\x26\xac\x1d\x9c\x35\x3f\xb7\x52\x20\x7b\x7e\x8e\x2e\x65\x8d\xdf\xa2\x7f\xdf\xc5\xe7\xf8\x85\xab\xc1\x42\x30\x1c\xec\xc7\xce\xc8\x56\xca\x0c\x6c\xcf\x7f\x30\x0f\xbb\xf3\xb2\x1c\x59\x1d\x1f\xe1\x38\xec\xc5\x58\xec\x7b\x6f\x1c\x90\xf3\xc4\xe0\x1c\x5d\x9a\x1b\x3e\x6f\x9e\x43\xf0\x23\x58\xc4\xbd\x5c\x83\xa2\xb2\xb8\x55\xd9\x64\xe5\xde\xec\xf9\xc1\x7e\xcd\xe7\x8a\xd3\x1d\xe7\x8c\x2b\x1b\x8f\x45\xd6\x13\x55\x8e\x31\xa6\x49\xfe\x55\x32\x7d\x2f\xf3\x36\xe7\x62\x7c\x06\x3f\x50\xe2\x98\x4f\xc4\x3d\xec\x91\x35\x5b\xc9\x3c\x48\x2b\x28\x47\xb8\x0f\x1e\xc5\xfe\xff\x6b\x9b\xd5\x31\xdc\xfc\x28\x3d\x42\xe9\xc5\x3e\x2a\xe5\x20\x38\x06\x56\x59\xa9\xbc\xf8\xfe\xc1\x5e\x7c\x1b\x65\x73\xca\x66\x94\x6d\xad\xb2\x91\xb8\x41\xbb\xe0\x23\x6c\x60\x36\xef\x65\x67\xf9\x38\x49\xf1\x26\xe5\x96\x29\xce\xe1\x19\xb7\xd0\x4c\xf8\x1f\x6c\xc7\x2e\xd8\x28\x77\xe2\xd7\xd9\xf1\x97\xb5\x26\x35\x6b\x6c\x8c\x46\x4d\x9a\x49\x73\x4e\x2a\xff\x93\xeb\x04\xf0\x91\x75\xc0\x15\xc6\x4d\xbd\xb0\x27\x7b\x4c\x51\x5e\xed\x36\x23\x67\xc1\x8b\x3c\xb9\xff\x58\x07\x7e\x45\xb3\xe0\x93\x36\x7b\xbe\x62\x23\x8b\xe5\xd6\xf7\x4d\x9e\xb1\xcf\x45\xdc\x03\x07\x65\x69\xa6\x5a\x5c\x89\x6d\xe1\xda\x45\x78\x81\x0d\xa2\xf4\x5c\x27\x0d\xc9\xe7\x69\xc7\xc4\xce\x73\x36\xcb\xff\xe4\x59\xa3\x16\x03\x78\x68\x3c\x55\xbb\xb6\xc3\x0f\x95\xca\x68\x8b\xe7\xe4\xbc\x42\xfe\x8d\xca\x07\x70\xa5\x95\xae\xa9\xd4\xd4\x82\x9b\x26\xf1\xc5\x5e\x31\x58\x8c\x75\xce\x49\xc4\x15\x3e\x63\x7e\xd3\x24\xe9\x99\x8f\x16\xe9\x42\xc3\xa7\xca\xb5\xae\x95\xe6\xab\xeb\x25\x70\x73\x11\x36\x61\x97\x4d\xfc\x90\xc5\x55\x53\xed\xf9\x64\xb6\x1b\x9c\x8b\x1a\xad\x35\x4b\x6f\xb0\x5e\x6c\x6d\x7a\x76\x71\xbc\x01\x23\x36\xb5\x8f\x76\xfd\xc2\x7f\xf6\x0f\xa6\x91\xb7\xac\x65\x51\x5e\x90\x27\xec\x11\xfd\xbe\xbe\x18\xa3\xdb\x7e\x5a\x03\xf0\xe2\xfe\x56\x38\x13\xd5\x1e\xa8\xc6\x6f\xa9\x86\x7e\x51\x55\xfb\xd6\x30\x6f\x54\x42\xaf\xd6\xb2\xed\xe9\xfe\xe1\x72\xb7\xdd\xa5\x78\xb9\x7b\xb8\x3f\x5d\xce\x77\x1f\x3e\xe4\xf3\xff\x53\x93\x75\xff\x6e\x54\xfb\xce\xec\xb3\xba\x06\xf8\xd6\x6a\x16\xfe\xc0\x9f\x7b\xe5\x0a\x6e\x92\x13\x70\xd8\x5e\xc1\xfe\x63\x23\x96\xb1\xf8\x8d\x1a\x87\x78\xed\xc4\x91\x49\x6d\x3a\xf6\x84\x4f\x5f\xab\x92\xc1\x1e\xd6\xb1\x57\xdd\x5f\x6b\x0a\xa3\xaf\x88\x1b\x38\xb6\x95\x76\x24\x06\x0c\x0b\x07\xaf\x13\xc0\x02\xf8\x09\xbb\xb4\xc2\x33\xea\xbb\x4e\xad\x9c\x56\xfa\x12\x7d\xde\xab\x86\xc0\x46\x60\xf1\xde\x82\x01\x3f\x98\xdf\x5a\x84\xd3\x4f\x63\xd1\xf2\x45\xed\x26\xee\x4d\x6f\x34\x96\xbf\x16\x00\x3f\x33\x26\xbf\x36\x9c\xc5\xe6\x1b\x17\xbd\x55\xab\xbf\x35\xe6\xaf\xa8\xd8\x51\x06\x20\xf4\xaa\x06\x54\x7c\xd9\x5c\x1e\x1c\x45\xf6\xea\xd1\x2a\xc0\x9d\x55\xa2\x7b\x60\x54\x65\x05\x6a\xc2\x22\xa8\x01\x18\x11\x76\x06\xd1\x50\x9c\x44\x49\x23\x45\x8c\xba\x01\xa5\x40\x3f\x63\x94\xbd\xba\x48\x3e\x37\xc8\x6d\x15\xd9\x28\x46\x1e\x1d\xc5\x3b\x29\xed\x36\x7a\xe5\x69\xc7\x0a\xaa\x84\x8c\x89\x37\x1f\x1f\x54\xb7\x66\xe3\xe6\xd5\x9c\x65\x53\xeb\xd5\xd5\xa4\xaa\xa4\xab\x14\x7d\xb3\x67\x18\x99\x63\x8d\xbd\xd1\x95\x3e\xf7\xc0\x96\x56\x85\xcc\x6e\x0f\xd4\x16\x51\x6a\x99\xb7\x6a\x0f\xa3\x2b\x12\x18\x96\xf5\x11\xe5\xa0\x39\xca\x65\x52\x73\x3c\x8b\x19\x88\xce\x24\xf6\xa6\xca\x61\x0d\x28\x81\x55\x55\x86\x35\x87\x17\x67\x07\xab\xb6\x2b\xaf\x30\xf7\x5e\x93\xdd\x53\x7b\x24\x27\x35\x73\x41\x58\x98\x17\x14\x30\xc6\xed\xbc\x02\xed\x55\xb9\xa1\xc8\xac\xb9\xba\xba\x82\x81\xbd\x96\xe8\x8c\xd7\xab\xc2\x84\x65\xd7\x3d\xfb\x06\x67\x91\x55\x1d\x14\xc6\xc2\x6f\xec\x73\x93\xd2\x87\x15\x0c\x31\x6a\xf7\xd7\x2c\x95\x8c\x1d\xc9\x30\xe6\x20\x2b\xf9\xae\x9f\x9e\xc7\x62\x5e\xab\xf6\x66\x47\xb1\x45\xfe\xec\x74\xb0\x80\x82\x99\xd5\x08\x1e\xf6\x86\x6d\xf6\xef\x98\x8f\x4a\xc3\x62\xac\x72\x1f\xa2\xac\x58\x9f\xa9\x29\xb1\x6b\x16\xe3\xb3\x56\x10\x0a\x75\xcd\x0b\x95\x02\x0a\x51\x91\x70\xcf\x20\x25\xb1\xa9\xb2\xb0\x2e\xc7\xe0\xea\x84\xca\x85\xf7\x8c\x01\x6a\xc2\x9c\xc6\xf2\x3b\x3a\x0f\xea\x62\xb4\x6e\xc3\x5e\x87\x1e\xa8\xc6\x4d\xf9\x61\x87\x07\x8d\xef\xd5\xd4\x9f\x18\x71\xd9\x1b\xd9\x8d\xba\x41\x52\x7d\x36\xff\xe2\x0a\x07\x85\x48\xcc\xad\xaa\xb2\x58\x2b\xeb\x02\xed\xf7\x6e\x8b\x35\x9a\x37\x67\x09\xec\xd6\x2b\x17\x76\x65\x48\x3c\x62\x63\xeb\x66\x35\x8e\xcc\x51\x2a\x90\x9c\xc0\x67\xfc\x4e\x3c\xe1\x9b\x51\x87\x0c\x83\x9a\xfa\x76\x9d\x0e\x3d\xac\xe7\xaa\xce\x0b\x73\xc0\x26\xd8\x6c\xaf\x54\xb2\x3a\x72\x9b\x54\x23\xe3\x2c\xab\x70\x43\x5d\x83\x4e\x9d\x3d\xd6\x9d\x6b\x55\x3c\xc9\xf3\x16\x5b\xac\xaa\x30\xf6\x4a\x9c\x78\x1c\xa5\x0c\xc9\x29\x58\xc4\xec\x94\x3c\x3e\x89\x1d\x54\x0e\xaa\x19\xf5\x69\x15\xa6\x0e\x63\x4c\xed\x74\x62\xb7\xde\x59\x10\x3b\x35\xaa\x3e\x4d\x21\x6e\x52\x60\xbd\xe7\xd0\x1e\xfb\x93\x62\x6b\x13\x1b\x53\x65\xb4\xea\x30\x90\x47\xf8\x26\x2a\xdf\x2b\xcd\xc3\x8b\x3c\x22\x6e\x89\xc5\x56\xb9\x8f\x1a\x47\x6d\x82\x8f\x86\x89\xb5\xdb\xc5\xf6\xa6\x7d\x58\xd3\x3f\xf9\xfc\xc6\xa0\xaa\x4a\x9e\x0f\x01\x9e\x59\x0c\xdc\xb3\x83\x98\xbd\xba\xed\xd4\x09\xfc\x46\x16\xfb\x45\xba\xea\xcb\x83\x7d\x91\xc1\x5e\xd5\x58\xdd\xe9\xe9\xf3\xf2\x94\xce\x77\x8f\x5c\xfc\x74\x4a\xff\x95\xd3\x5f\x1e\x1f\xee\xee\x2f\xbf\xcf\xc1\x01\x12\xc6\xe4\xce\xea\x49\x97\xb6\xe7\xd6\x48\x27\x09\xb5\xcb\xa7\x46\xed\x8e\x5d\x42\xd9\x6f\x6a\xb9\xd9\xa9\xa3\xda\x94\xbb\x74\x4a\x0a\xf2\x97\xb2\x2a\x65\xcd\xb9\xfa\x7b\xbb\x67\x92\xfc\x4a\x9e\xa8\x76\x42\xa7\x83\x06\x03\xaa\xf8\xc6\x99\xbc\xc8\x88\x7d\x10\x44\xd6\x76\x9a\xbc\x05\x3d\xef\xed\xa8\x57\xa4\x79\x56\xab\x22\xab\x1d\x01\x51\xbc\x26\x87\xbe\xc1\x57\x3f\x33\x9a\xbe\x61\x44\x0b\xa9\xb7\xaf\x7b\x4b\x17\x7d\x61\xe4\x5f\x73\xee\xde\x79\xa3\x09\xef\x40\x21\x59\xd4\x8d\x55\x27\x49\x8e\x56\x74\x4d\xb1\x48\x5a\x03\x7f\x76\x5e\xb8\x4a\x7e\x50\x5c\x4f\x3a\x9f\x4e\x4e\x43\x78\x98\xf7\xc3\x2e\x09\x7a\x8f\xd8\x46\x4d\x76\x3b\x4f\x9f\x3c\xc5\x17\x35\xff\xad\x71\xd8\x39\x24\x12\xd1\xbc\x88\x96\x59\xcd\x1e\x22\xc2\x1a\xe2\x9b\x47\x7b\x96\x58\x47\x52\x40\xd9\x08\xed\x76\x87\xa7\x59\x0d\x69\x35\x6e\xac\xe0\x94\x94\xd9\x44\x23\xc0\x20\xc5\x3c\x7b\xa2\x38\xae\xf2\x73\xa1\x68\x8d\x16\x49\x2a\xa2\x8d\x68\x25\xb3\x90\x92\xab\x9a\x0a\x8c\xd3\xaa\x88\xaf\x94\x8d\xac\xd5\x24\xce\xa0\x42\xbb\xf6\x3d\x45\x35\x06\x46\x15\xfb\x7b\xc3\x91\x8c\x81\xbe\x81\xb9\x4d\xe7\xc6\xcc\xd5\xab\xa1\x05\xe5\x33\x1f\x94\x9c\xf6\xcc\xd6\xb9\x38\xd2\xd3\x9a\x34\xad\xfb\x02\x19\x09\x7c\x8f\x92\x38\xd0\x5c\x52\x03\xca\x9e\x55\x98\xbc\x98\xb6\x26\x83\x64\x80\x35\xf4\x07\xd1\x8f\x9a\x8c\x9d\x9a\xdf\xfb\xb1\xa3\x1d\x3e\x74\x5e\x04\x75\x8d\xe4\xe5\xe4\xef\xa1\xc9\xa4\x43\x1b\xe4\x75\xa5\xc3\x2c\x93\x0b\xb3\x53\x37\xe8\xc2\xda\xd9\x1b\x71\x42\x91\xcd\x3c\xd0\x65\xdb\x89\x36\xd5\x60\xb0\xc6\xfb\x8b\x73\x70\xe2\x0b\x0a\xc4\x66\x48\x5e\xe8\xc4\x6c\xab\x67\x31\x90\x0f\xc4\x2f\xf1\xc1\xb5\xb9\x7b\x8e\x9d\xa4\x46\x0b\xb9\x40\x61\x07\xb2\x55\x3a\x00\x41\xf6\x37\x8a\x8f\x65\x6f\x86\x76\x3e\x7f\x27\xd9\x0e\x95\xda\x01\xce\xe2\x76\x9e\x25\xb7\x90\x3c\x76\x28\xb1\xea\x79\x8c\xe4\x3e\xa8\xd4\xc0\x60\x4d\x16\x23\x92\xa5\x20\x1c\x71\x39\x49\x0a\x6d\x3a\xe8\x61\x3f\xe4\x02\x32\x29\xa9\x71\x87\x3c\x59\x94\x7f\xf6\x1c\x49\xd2\x61\x86\x0a\x56\x3b\xec\x19\x1d\x39\xad\x29\xa3\xb8\xa0\xb8\xb6\xa6\xe1\xe8\x7e\x5d\xd4\x0c\xb5\xfc\xcf\x2e\x47\x40\x43\xf2\x09\x5b\x0e\x6a\xa4\xec\x87\x3b\xd8\x67\x11\x2e\xb0\x57\xf6\x89\xe4\x24\x66\xad\xf9\xd5\x7b\xec\x21\xe1\x76\x84\x6d\x77\xf9\x12\x75\x58\x98\x5c\xca\xc0\x52\xd8\xcd\x0e\x27\x7b\x49\xc0\xf9\x45\xe1\xad\x72\x89\xeb\x3a\x35\x41\x07\x3d\xf7\x82\xaf\x41\xf6\x5a\x25\xd3\x26\x1b\x82\xe0\xb3\xca\x97\xd7\x9a\x31\x48\x69\x64\x07\x71\xcf\x7a\x88\xdd\xd7\x9e\x33\xf8\x2a\x8a\xfe\x76\x78\xff\x42\x40\x7c\x01\xed\x5f\xd5\x10\xfd\x29\x3d\x9c\xcf\xf9\x63\xbc\xe4\xf5\x94\x7f\xc8\xf7\x97\xdf\xa1\x47\xd3\xe9\x7e\x5c\xd6\xee\xbd\x5e\x9d\x15\x26\x85\xc0\x2c\xa2\x45\xb5\x03\x05\x51\xb0\x06\xf4\xaf\x4a\xc7\x59\xa1\x60\xa9\xa9\x0a\x38\xaa\xfa\x21\xb4\x93\xae\xb1\xcf\x9d\x5f\xbb\x4a\x9d\xdb\xff\xf4\x3c\xc6\xa6\xd0\xe6\x7d\x52\x65\x33\xbd\xb8\xae\xd6\xa3\x53\x7b\x5f\xa5\xd2\x19\x88\x3d\x16\x53\x7b\x5a\xdb\xb9\xea\xe4\x10\xf3\xb5\xbe\xcc\x7e\x5e\x35\xe9\x5c\xd7\x84\x56\xaf\xc7\x81\x6a\x9d\x27\xcb\x7e\x06\xcd\x52\xbb\xd8\x7b\xd4\xb9\x70\xb5\x3f\x1a\xd4\xe9\x91\x22\x3d\xd2\x03\x64\x02\xa5\x51\x67\x98\x8b\xce\xc9\x5a\x9d\xf5\x5b\x6f\x36\xea\x6c\x44\xdd\x0b\x13\x5c\xa3\xc4\x51\xad\x8a\x77\xf1\x3d\xd9\xf9\x41\xe7\x3d\xa4\x51\x50\xf9\x9a\xca\xa6\x12\x4b\x82\x28\xeb\x26\xbc\xd1\x2b\xfa\x52\x10\xfe\xcc\x2c\xf9\xd2\x50\x96\x20\xaf\x5c\xf0\x96\x0e\x7a\x6d\xac\x5f\xf9\xe0\x21\x60\x91\x16\x27\xa1\x55\xa7\x8e\x44\x82\x45\x5a\xeb\xa0\xb9\xe9\x04\xcc\xea\xc5\x41\xe2\x63\xf2\x6e\xdf\xa4\x1e\xc6\xa0\xd3\x4a\x13\x54\x7a\xf8\xaf\x51\x1f\x02\x6f\x4f\x12\x15\xd4\xfc\x5c\x6f\xa4\xd8\xe8\x61\x34\x3d\xa4\x58\xeb\x34\xda\xa4\x6b\xe3\x91\x68\x9d\xee\x49\x62\x4a\xbf\x5b\x64\x0a\x30\xf1\x34\xd9\x95\xf4\xe0\x1f\xc2\x61\x97\xe1\xfd\xa4\x32\x61\xf4\xa8\xdc\x76\x89\x5f\xab\x0f\xb2\x78\x97\x7d\xd5\x09\x9e\x49\xf6\xc5\xe7\xa4\x96\x35\x51\xa2\xa7\x03\x20\x01\xee\x83\xd4\x27\x09\xc1\x4e\xb5\x64\x56\x7f\xc0\x04\x90\x6a\x49\x3b\xdd\x1c\xdd\x56\x49\xa7\x55\xbd\x9e\x23\xaa\x75\x42\x88\x48\x8b\xb3\x8b\x05\xcb\xb2\xd5\xc7\x5d\x67\xaf\x43\x4d\xfc\xa8\xf7\x63\xa7\xc5\x3a\xe5\xcd\x3a\x79\xa7\xbe\x36\xb1\x39\xca\xe6\x9b\xf7\x65\xa8\x55\xd9\x17\xd7\x92\xe1\xd6\x1f\x19\x75\x62\x21\x52\x27\xab\x8c\xf4\xd4\xbf\xb2\x3e\x44\xe5\xfe\x63\xcc\x59\xa8\xc1\x7e\x07\xd5\xfa\xf8\x6a\x95\x9f\x3a\x9d\x10\x20\x18\x93\x7a\x72\x64\xa9\xf5\x09\x5a\xb7\xef\xa4\xe7\xa5\x6a\xd5\xc7\x9d\x1e\x50\x35\xf1\xa1\xae\x77\xab\xa7\x37\x88\x9d\x76\x50\x89\xd3\xaa\xec\x99\x55\xfa\x0c\x2a\x75\xa2\x13\xba\xf5\x05\x27\xef\xbf\xf1\xbf\xd2\xbd\x56\x12\x4d\xbe\x26\x62\xd6\x4e\x32\x1b\xf5\x49\xd4\x3f\xeb\xd4\x43\xc4\x16\xc4\x88\x3d\xad\xd4\xb8\x6d\x89\x87\x55\x27\x7f\x69\x7c\x3e\xdd\xb3\x1e\xa0\x04\x5b\xb3\x3f\x0a\xad\x79\x41\x34\x6c\xb7\xe8\x04\x7f\x7f\x60\x95\xd8\x18\x55\x92\x5a\xcf\x6c\x7d\x2e\xdd\x10\xe3\xd8\x04\xdb\x5b\xef\x4d\x63\x13\xd3\xab\x4e\xe9\xc9\x9f\x45\xa7\x6f\xf6\x90\xeb\xe2\xeb\x40\xa8\x5a\xef\x48\x27\xb5\xcc\x85\xb0\xdc\x45\x2f\xeb\xa7\x90\xf9\x9f\x00\x00\x00\xff\xff\x57\xad\x41\x33\x00\x30\x00\x00")

func bindata_go() ([]byte, error) {
	return bindata_read(
		_bindata_go,
		"bindata.go",
	)
}

// Asset loads and returns the asset for the given name.
// It returns an error if the asset could not be found or
// could not be loaded.
func Asset(name string) ([]byte, error) {
	cannonicalName := strings.Replace(name, "\\", "/", -1)
	if f, ok := _bindata[cannonicalName]; ok {
		return f()
	}
	return nil, fmt.Errorf("Asset %s not found", name)
}

// AssetNames returns the names of the assets.
func AssetNames() []string {
	names := make([]string, 0, len(_bindata))
	for name := range _bindata {
		names = append(names, name)
	}
	return names
}

// _bindata is a table, holding each asset generator, mapped to its name.
var _bindata = map[string]func() ([]byte, error){
	"1_create_stream_tables.down.sql":          _1_create_stream_tables_down_sql,
	"1_create_stream_tables.up.sql":            _1_create_stream_tables_up_sql,
	"2_append_to_store.down.sql":               _2_append_to_store_down_sql,
	"2_append_to_store.up.sql":                 _2_append_to_store_up_sql,
	"3_notification_triggers.down.sql":         _3_notification_triggers_down_sql,
	"3_notification_triggers.up.sql":           _3_notification_triggers_up_sql,
	"4_subscriptions_checkpoint.down.sql":      _4_subscriptions_checkpoint_down_sql,
	"4_subscriptions_checkpoint.up.sql":        _4_subscriptions_checkpoint_up_sql,
	"5_correlated_events.down.sql":             _5_correlated_events_down_sql,
	"5_correlated_events.up.sql":               _5_correlated_events_up_sql,
	"6_optimize_indexes_events_table.down.sql": _6_optimize_indexes_events_table_down_sql,
	"6_optimize_indexes_events_table.up.sql":   _6_optimize_indexes_events_table_up_sql,
	"bindata.go":                               bindata_go,
}

// AssetDir returns the file names below a certain
// directory embedded in the file by go-bindata.
// For example if you run go-bindata on data/... and data contains the
// following hierarchy:
//     data/
//       foo.txt
//       img/
//         a.png
//         b.png
// then AssetDir("data") would return []string{"foo.txt", "img"}
// AssetDir("data/img") would return []string{"a.png", "b.png"}
// AssetDir("foo.txt") and AssetDir("notexist") would return an error
// AssetDir("") will return []string{"data"}.
func AssetDir(name string) ([]string, error) {
	node := _bintree
	if len(name) != 0 {
		cannonicalName := strings.Replace(name, "\\", "/", -1)
		pathList := strings.Split(cannonicalName, "/")
		for _, p := range pathList {
			node = node.Children[p]
			if node == nil {
				return nil, fmt.Errorf("Asset %s not found", name)
			}
		}
	}
	if node.Func != nil {
		return nil, fmt.Errorf("Asset %s not found", name)
	}
	rv := make([]string, 0, len(node.Children))
	for name := range node.Children {
		rv = append(rv, name)
	}
	return rv, nil
}

type _bintree_t struct {
	Func     func() ([]byte, error)
	Children map[string]*_bintree_t
}

var _bintree = &_bintree_t{nil, map[string]*_bintree_t{
	"1_create_stream_tables.down.sql":          &_bintree_t{_1_create_stream_tables_down_sql, map[string]*_bintree_t{}},
	"1_create_stream_tables.up.sql":            &_bintree_t{_1_create_stream_tables_up_sql, map[string]*_bintree_t{}},
	"2_append_to_store.down.sql":               &_bintree_t{_2_append_to_store_down_sql, map[string]*_bintree_t{}},
	"2_append_to_store.up.sql":                 &_bintree_t{_2_append_to_store_up_sql, map[string]*_bintree_t{}},
	"3_notification_triggers.down.sql":         &_bintree_t{_3_notification_triggers_down_sql, map[string]*_bintree_t{}},
	"3_notification_triggers.up.sql":           &_bintree_t{_3_notification_triggers_up_sql, map[string]*_bintree_t{}},
	"4_subscriptions_checkpoint.down.sql":      &_bintree_t{_4_subscriptions_checkpoint_down_sql, map[string]*_bintree_t{}},
	"4_subscriptions_checkpoint.up.sql":        &_bintree_t{_4_subscriptions_checkpoint_up_sql, map[string]*_bintree_t{}},
	"5_correlated_events.down.sql":             &_bintree_t{_5_correlated_events_down_sql, map[string]*_bintree_t{}},
	"5_correlated_events.up.sql":               &_bintree_t{_5_correlated_events_up_sql, map[string]*_bintree_t{}},
	"6_optimize_indexes_events_table.down.sql": &_bintree_t{_6_optimize_indexes_events_table_down_sql, map[string]*_bintree_t{}},
	"6_optimize_indexes_events_table.up.sql":   &_bintree_t{_6_optimize_indexes_events_table_up_sql, map[string]*_bintree_t{}},
	"bindata.go":                               &_bintree_t{bindata_go, map[string]*_bintree_t{}},
}}
